<app-navbar></app-navbar>
<div layout="row" layout-align="space-between center" flex class="layout-align-space-between-center layout-row flex">
    <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search Payment">
    </mat-form-field>&nbsp;&nbsp;

    <button class="btn-secondary" mat-mini-fab matTooltip="Add a Payment">
        <mat-icon routerLink="/add-payment" aria-label="add payment">add</mat-icon>
    </button>
</div>

<div class="basic-container mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort matSortActive="id" matSortDirection="desc" matSortDisableClear>

       <!-- UserName Column -->
        <ng-container matColumnDef="mentor">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Mentor</th>
            <td mat-cell *matCellDef="let payment">{{payment.mentorFirstName}} {{payment.mentorLastName}}</td>
        </ng-container>

        
        <ng-container matColumnDef="training">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Training</th>
            <!--<td mat-cell *matCellDef="let payment">{{ payment.training.mentor.firstName }} {{ payment.training.mentor.lastName }} {{ payment.training.skill.name }}</td>-->
            <td mat-cell *matCellDef="let payment">{{payment.training}}</td>
        </ng-container>

        <ng-container matColumnDef="txtType">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Transaction Type</th>
            <td mat-cell *matCellDef="let payment">{{ payment.txnType }}</td>
        </ng-container>

        <ng-container matColumnDef="amount">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Amount Collected</th>
            <td mat-cell *matCellDef="let payment">{{ payment.amount }}</td>
        </ng-container>

        <ng-container matColumnDef="paymentDate">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Paid On</th>
            <td mat-cell *matCellDef="let payment">{{ payment.paymentDate }}</td>
        </ng-container>

        <!-- Action Column -->
        <ng-container matColumnDef="action">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Action</th>
            <td mat-cell *matCellDef="let payment">
                <button mat-icon-button color="accent" matTooltip="edit a payment">
                    <mat-icon (click)="editPayment(payment.id)" aria-label="edit payment">edit</mat-icon>
                </button>
                <button mat-icon-button color="warn" matTooltip="delete a payment">
                    <mat-icon (click)="deletePayment(payment)" aria-label="delete payment">delete_forever</mat-icon>
                </button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    </table>
    <mat-paginator [pageSizeOptions]="[5, 10]" showFirstLastButtons></mat-paginator>
</div>